curl --request PUT \
--url https://api-sandbox.synctera.com/v0/accounts/templates/{template_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"is_enabled": true,
"name": "<string>",
"template": {
"bank_country": "US",
"currency": "USD",
"fee_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"reward_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"account_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"description": "<string>"
}
'import requests
url = "https://api-sandbox.synctera.com/v0/accounts/templates/{template_id}"
payload = {
"is_enabled": True,
"name": "<string>",
"template": {
"bank_country": "US",
"currency": "USD",
"fee_product_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"reward_product_ids": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"account_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"description": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
is_enabled: true,
name: '<string>',
template: {
bank_country: 'US',
currency: 'USD',
fee_product_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
reward_product_ids: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
account_program_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
bank_account_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
},
description: '<string>'
})
};
fetch('https://api-sandbox.synctera.com/v0/accounts/templates/{template_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"is_enabled": true,
"name": "<string>",
"template": {
"bank_country": "US",
"currency": "USD",
"account_program_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"application_workflow_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"auto_payment_period": 20,
"balance_ceiling": {
"balance": 1,
"linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overflow_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"balance_floor": {
"balance": 123,
"linked_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"overdraft_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"bank_account_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"billing_period": {
"start_date": "2022-01-01T00:00:00Z"
},
"fee_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"grace_period": 2,
"interest_product_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"is_ach_credit_enabled": true,
"is_ach_debit_enabled": true,
"is_ach_enabled": false,
"is_card_credit_enabled": true,
"is_card_debit_enabled": true,
"is_card_enabled": false,
"is_cash_credit_enabled": true,
"is_cash_debit_enabled": true,
"is_cash_enabled": false,
"is_check_credit_enabled": true,
"is_check_debit_enabled": true,
"is_check_enabled": false,
"is_eft_ca_credit_enabled": true,
"is_eft_ca_debit_enabled": true,
"is_eft_ca_enabled": true,
"is_external_card_credit_enabled": true,
"is_external_card_debit_enabled": true,
"is_external_card_enabled": false,
"is_fednow_credit_enabled": true,
"is_fednow_debit_enabled": true,
"is_fednow_enabled": true,
"is_p2p_enabled": false,
"is_sar_enabled": false,
"is_synctera_pay_credit_enabled": true,
"is_synctera_pay_debit_enabled": true,
"is_synctera_pay_enabled": false,
"is_wire_credit_enabled": true,
"is_wire_debit_enabled": true,
"is_wire_enabled": false,
"minimum_payment": {
"min_amount": 123,
"rate": 123
},
"overdraft_limit": 1,
"reward_product_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"spend_control_ids": [
"7d943c51-e4ff-4e57-9558-08cab6b963c7"
],
"spending_limits": {
"day": {
"amount": 1,
"transactions": 1
},
"description": "<string>",
"lifetime": {
"amount": 1,
"transactions": 1
},
"month": {
"amount": 1,
"transactions": 1
},
"transaction": {
"amount": 1
},
"week": {
"amount": 1,
"transactions": 1
}
},
"vendor_info": {
"vendor_data": {
"loanpro": {
"cash_advance_bucket_id": 67890,
"loc_product_id": 67890,
"purchases_bucket_id": 12345,
"tenant_id": "1"
}
},
"vendor_type": "LOANPRO"
}
},
"description": "<string>",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tenant": "abcdef_ghijkl"
}Update account template
Update account template
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Account Template ID
"a8943c51-e4ff-4e57-9558-08cab6b963c0"
Body
Account template to update
Whether this template can be used for account creation
Unique account template name
In production, general ledger account templates can only be created or updated by a Synctera administrator. General ledger account templates are in Alpha status, and cannot yet be created. We may make breaking changes.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
- Option 7
- Option 8
Show child attributes
Show child attributes
The type of the application to require.
- CREDIT: Credit application
- LINE_OF_CREDIT: (Deprecated) Line of credit application (if provided, this will be converted to a CREDIT type in the response)
- RESTRICTED_ACCOUNT: restricted account application
CREDIT, LINE_OF_CREDIT, RESTRICTED_ACCOUNT User provided account template description
Response
Account template updated
Whether this template can be used for account creation
Unique account template name
Show child attributes
Show child attributes
The type of the application to require.
- CREDIT: Credit application
- LINE_OF_CREDIT: (Deprecated) Line of credit application (if provided, this will be converted to a CREDIT type in the response)
- RESTRICTED_ACCOUNT: restricted account application
CREDIT, LINE_OF_CREDIT, RESTRICTED_ACCOUNT Account template description
Generated ID for the template
The id of the tenant containing the resource. This is relevant for Fintechs that have multiple workspaces.
"abcdef_ghijkl"
Was this page helpful?

